Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 448432 - /usr/lib64/firefox-3.0pre/firefox: malloc(): memory corruption: 0x00007fa68f3bb910
Summary: /usr/lib64/firefox-3.0pre/firefox: malloc(): memory corruption: 0x00007fa68f3...
Keywords:
Status: CLOSED DUPLICATE of bug 447444
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-26 19:21 UTC by Nicolas Mailhot
Modified: 2018-04-11 18:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-27 12:26:06 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2008-05-26 19:21:53 UTC
$ rpm -q firefox xulrunner
firefox-3.0-0.65.cvs20080416.fc10.x86_64
xulrunner-1.9-0.65.cvs20080416.fc10.x86_64

$ rpm -V firefox xulrunner
$ 

$ firefox

(firefox:5782): GnomeUI-WARNING **: While connecting to session manager:
Could not open network socket.
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve
property `GtkTreeView::odd-row-color' of type `GdkColor' from rc file value
"((GString*) 0x2142d60)" of type `GString'
[NoScript] [NoScript] external load intercepted
*** glibc detected *** /usr/lib64/firefox-3.0pre/firefox: malloc(): memory
corruption: 0x00007fa68f3bb910 ***
======= Backtrace: =========
/lib64/libc.so.6[0xd2acaf]
/lib64/libc.so.6(__libc_malloc+0x98)[0xd2c4e8]
/usr/lib64/libstdc++.so.6(_Znwm+0x1d)[0x33642c41bd]
/usr/lib64/libhunspell-1.2.so.0(_ZN8Hunspell4initEPKcS1_S1_+0x76)[0x3a4ae21256]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69cb6a298]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69cb60a88]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69ca5ca19]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69ca5da68]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69cb653e8]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c7ef9ce]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c7e7d7c]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c59b8d7]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c5007ec]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c4f9d23]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c4fa2b4]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c506668]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c52c450]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c6817a0]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c646397]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c702447]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c702085]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c65c2b7]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c710051]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c7b7ffd]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c7b9938]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c3d7d7c]
/usr/lib64/xulrunner-1.9pre/libmozjs.so[0x70d3281]
/usr/lib64/xulrunner-1.9pre/libmozjs.so[0x70d4236]
/usr/lib64/xulrunner-1.9pre/libmozjs.so[0x70c01d2]
/usr/lib64/xulrunner-1.9pre/libmozjs.so[0x70cc5f8]
/usr/lib64/xulrunner-1.9pre/libmozjs.so(JS_EvaluateUCScriptForPrincipals+0x57)[0x70992e2]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c792232]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c68f4ea]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c68f679]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c69085d]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c68e0f7]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c6ee917]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c702124]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c702c6e]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c4b15c4]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c4b30f9]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c4b42c9]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c4b49f1]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c4bafbe]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c4bd5f4]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c4bb276]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c4be38b]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69cba3a92]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69cb752ea]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69caec269]
/usr/lib64/xulrunner-1.9pre/libxul.so[0x7fa69c9ac0b9]
/usr/lib64/xulrunner-1.9pre/libxul.so(XRE_main+0x1d87)[0x7fa69c3a4753]
/usr/lib64/firefox-3.0pre/firefox(__gxx_personality_v0+0x565)[0x401665]
/lib64/libc.so.6(__libc_start_main+0xfa)[0xccc40a]
/usr/lib64/firefox-3.0pre/firefox(__gxx_personality_v0+0x59)[0x401159]
======= Memory map: ========
00110000-00130000 r-xp 00000000 fd:00 393305                            
/lib64/ld-2.8.90.so
0032f000-00330000 r--p 0001f000 fd:00 393305                            
/lib64/ld-2.8.90.so
00330000-00331000 rw-p 00020000 fd:00 393305                            
/lib64/ld-2.8.90.so
00400000-00409000 r-xp 00000000 fd:00 524667                            
/usr/lib64/firefox-3.0pre/firefox
00608000-00609000 rw-p 00008000 fd:00 524667                            
/usr/lib64/firefox-3.0pre/firefox
00609000-00620000 r-xp 00000000 fd:00 393353                            
/lib64/libpthread-2.8.90.so
00620000-0081f000 ---p 00017000 fd:00 393353                            
/lib64/libpthread-2.8.90.so
0081f000-00820000 r--p 00016000 fd:00 393353                            
/lib64/libpthread-2.8.90.so
00820000-00821000 rw-p 00017000 fd:00 393353                            
/lib64/libpthread-2.8.90.so
00821000-00825000 rw-p 00821000 00:00 0 
00825000-00827000 r-xp 00000000 fd:00 393496                            
/lib64/libdl-2.8.90.so
00827000-00a27000 ---p 00002000 fd:00 393496                            
/lib64/libdl-2.8.90.so
00a27000-00a28000 r--p 00002000 fd:00 393496                            
/lib64/libdl-2.8.90.so
00a28000-00a29000 rw-p 00003000 fd:00 393496                            
/lib64/libdl-2.8.90.so
00a29000-00aad000 r-xp 00000000 fd:00 393515                            
/lib64/libm-2.8.90.so
00aad000-00cac000 ---p 00084000 fd:00 393515                            
/lib64/libm-2.8.90.so
00cac000-00cad000 r--p 00083000 fd:00 393515                            
/lib64/libm-2.8.90.so
00cad000-00cae000 rw-p 00084000 fd:00 393515                            
/lib64/libm-2.8.90.so
00cae000-00e19000 r-xp 00000000 fd:00 393266                            
/lib64/libc-2.8.90.so
00e19000-01018000 ---p 0016b000 fd:00 393266                            
/lib64/libc-2.8.90.so
01018000-0101c000 r--p 0016a000 fd:00 393266                            
/lib64/libc-2.8.90.so
0101c000-0101d000 rw-p 0016e000 fd:00 393266                            
/lib64/libc-2.8.90.so
0101d000-01022000 rw-p 0101d000 00:00 0 
01022000-0102a000 r-xp 00000000 fd:00 397080                            
/lib64/librt-2.8.90.so
0102a000-01229000 ---p 00008000 fd:00 397080                            
/lib64/librt-2.8.90.so
01229000-0122a000 r--p 00007000 fd:00 397080                            
/lib64/librt-2.8.90.so
0122a000-0122b000 rw-p 00008000 fd:00 397080                            
/lib64/librt-2.8.90.so
0122b000-01233000 r-xp 00000000 fd:00 393337                            
/lib64/libpopt.so.0.0.0
01233000-01433000 ---p 00008000 fd:00 393337                            
/lib64/libpopt.so.0.0.0
01433000-01434000 rw-p 00008000 fd:00 393337                            
/lib64/libpopt.so.0.0.0
0156b000-0157d000 r-xp 00000000 fd:00 397025                            
/lib64/libresolv-2.8.90.so
0157d000-0177d000 ---p 00012000 fd:00 397025                            
/lib64/libresolv-2.8.90.so
0177d000-0177e000 r--p 00012000 fd:00 397025                            
/lib64/libresolv-2.8.90.so
0177e000-0177f000 rw-p 00013000 fd:00 397025                            
/lib64/libresolv-2.8.90.so
0177f000-01781000 rw-p 0177f000 00:00 0 
01781000-01783000 r-xp 00000000 fd:00 393527                            
/lib64/libutil-2.8.90.so
01783000-01982000 ---p 00002000 fd:00 393527                            
/lib64/libutil-2.8.90.so
01982000-01983000 r--p 00001000 fd:00 393527                            
/lib64/libutil-2.8.90.so
01983000-01984000 rw-p 00002000 fd:00 393527                            
/lib64/libutil-2.8.90.so
01984000-0199a000 r-xp 00000000 fd:00 393577                            
/lib64/libnsl-2.8.90.so
0199a000-01b9a000 ---p 00016000 fd:00 393577                            
/lib64/libnsl-2.8.90.so
01b9a000-01b9b000 r--p 00016000 fd:00 393577                            
/lib64/libnsl-2.8.90.so
01b9b000-01b9c000 rw-p 00017000 fd:00 393577                            
/lib64/libnsl-2.8.90.so
01b9c000-01b9e000 rw-p 01b9c000 00:00 0 
01b9e000-01ba3000 r-xp 00000000 fd:00 393338                            
/lib64/libnss_dns-2.8.90.so
01ba3000-01da2000 ---p 00005000 fd:00 393338                            
/lib64/libnss_dns-2.8.90.so
01da2000-01da3000 r--p 00004000 fd:00 393338                            
/lib64/libnss_dns-2.8.90.so
01da3000-01da4000 rw-p 00005000 fd:00 393338                            
/lib64/libnss_dns-2.8.90.so
01f64000-025b8000 rw-p 01f64000 00:00 0                                  [heap]
025c4000-025d0000 r-xp 00000000 fd:00 393685                            
/lib64/libnss_files-2.8.90.so
025d0000-027cf000 ---p 0000c000 fd:00 393685                            
/lib64/libnss_files-2.8.90.so
027cf000-027d0000 r--p 0000b000 fd:00 393685                            
/lib64/libnss_files-2.8.90.so
027d0000-027d1000 rw-p 0000c000 fd:00 393685                            
/lib64/libnss_files-2.8.90.so
02e82000-02e85000 r-xp 00000000 fd:00 3416006                           
/usr/lib64/gconv/UTF-16.so

Comment 1 Matěj Cepl 2008-05-27 12:26:06 UTC

*** This bug has been marked as a duplicate of 447444 ***


Note You need to log in before you can comment on or make changes to this bug.